#!/bin/sh

# Edit this line to list the folder where Castle Vox is:
installFolder="/home/change_this_part/CastleVoxPC"

# That way you can create shortcuts from wherever and they will work.


## First thing we do is check for the location of the install folder

if [ -f VoxCore.jar ]
then
	pathtofolder="."
else 
	if [ -f "CastleVox/VoxCore.jar" ]
	then
		pathtofolder="./CastleVoxPC"
	else
		if [ -f "$installFolder/VoxCore.jar" ]
		then
			pathtofolder="$installFolder"
		else
			echo "The start up script could not find the location"
			echo "of the install folder. Edit the Vox.sh script"
			echo "to specify the proper install location."
			echo "Specify a path now and the script will try it:"
			read pathtofolder
		fi
	fi
fi


## Now the $pathtofolder var should contain the location of the install dir
## If it doesn't, we won't be able to launch Vox

echo "Castle Vox: Starting up..."

# By default Vox will print output to both
# stdout AND to ./Support/log.txt.

# This line redirects the stdout output to /dev/null
# and launches Vox in the background.

java -Djava.ext.dirs=$pathtofolder -jar "$pathtofolder/VoxCore.jar" -cp >> /dev/null &